> ## Documentation Index
> Fetch the complete documentation index at: https://io-migration.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Models List

> Get list of available models for Chat Completions API



## OpenAPI

````yaml openapi/get-models-list.json get /api/v1/models
openapi: 3.1.0
info:
  title: IO Intelligence
  version: '1.0'
servers:
  - url: https://api.intelligence.io.solutions
security:
  - sec0: []
paths:
  /api/v1/models:
    get:
      summary: Get Models List
      description: Get list of available models for Chat Completions API
      operationId: get-models-list
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "object": "list",
                      "data": [
                        {
                          "id": "deepseek-ai/DeepSeek-R1",
                          "object": "model",
                          "created": 1738563250,
                          "owned_by": "io-intelligence",
                          "root": null,
                          "parent": null,
                          "max_model_len": null,
                          "permission": [
                            {
                              "id": "modelperm-5f0eee08ce82402aa3e9cfe58127b507",
                              "object": "model_permission",
                              "created": 1738928714,
                              "allow_create_engine": false,
                              "allow_sampling": true,
                              "allow_logprobs": true,
                              "allow_search_indices": false,
                              "allow_view": true,
                              "allow_fine_tuning": false,
                              "organization": "*",
                              "group": null,
                              "is_blocking": false
                            }
                          ]
                        },
                        ...
                      ]
                    }
        '404':
          description: '404'
          content:
            text/plain:
              examples:
                Result:
                  value: string
              schema:
                type: string
                example: string
        '422':
          description: '422'
          content:
            text/plain:
              examples:
                Result:
                  value:
                    detail:
                      - loc:
                          - string
                          - 0
                        msg: string
                        type: string
              schema:
                type: object
                properties:
                  detail:
                    type: array
                    items:
                      type: object
                      properties:
                        loc:
                          type: array
                        msg:
                          type: string
                          example: string
                        type:
                          type: string
                          example: string
      deprecated: false
      security: []
components:
  securitySchemes:
    sec0:
      type: oauth2
      flows: {}

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.